EAPI EAPI_WEAK EFL_FUNC_BODY_CONST(efl_access_widget_action_elm_actions_get, const Efl_Access_Action_Data *, NULL);

Eina_Bool _efl_access_widget_action_efl_access_action_action_do(Eo *obj, void *pd, int id);


char *_efl_access_widget_action_efl_access_action_action_keybinding_get(Eo *obj, void *pd, int id);


const char *_efl_access_widget_action_efl_access_action_action_name_get(const Eo *obj, void *pd, int id);


Eina_Bool _efl_access_widget_action_efl_access_action_action_description_set(Eo *obj, void *pd, int id, const char *description);


const char *_efl_access_widget_action_efl_access_action_action_description_get(const Eo *obj, void *pd, int id);


Eina_List *_efl_access_widget_action_efl_access_action_actions_get(const Eo *obj, void *pd);


static Eina_Bool
_efl_access_widget_action_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_ACCESS_WIDGET_ACTION_EXTRA_OPS
#define EFL_ACCESS_WIDGET_ACTION_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_access_widget_action_elm_actions_get, NULL),
      EFL_OBJECT_OP_FUNC(efl_access_action_do, _efl_access_widget_action_efl_access_action_action_do),
      EFL_OBJECT_OP_FUNC(efl_access_action_keybinding_get, _efl_access_widget_action_efl_access_action_action_keybinding_get),
      EFL_OBJECT_OP_FUNC(efl_access_action_name_get, _efl_access_widget_action_efl_access_action_action_name_get),
      EFL_OBJECT_OP_FUNC(efl_access_action_description_set, _efl_access_widget_action_efl_access_action_action_description_set),
      EFL_OBJECT_OP_FUNC(efl_access_action_description_get, _efl_access_widget_action_efl_access_action_action_description_get),
      EFL_OBJECT_OP_FUNC(efl_access_action_actions_get, _efl_access_widget_action_efl_access_action_actions_get),
      EFL_ACCESS_WIDGET_ACTION_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_access_widget_action_class_desc = {
   EO_VERSION,
   "Efl.Access.Widget.Action",
   EFL_CLASS_TYPE_MIXIN,
   0,
   _efl_access_widget_action_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_access_widget_action_mixin_get, &_efl_access_widget_action_class_desc, NULL, EFL_ACCESS_ACTION_MIXIN, NULL);
